<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>弹性盒模型-flex-wrap属性</title>
    <style>
        .flex-nowrap-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            flex-wrap: nowrap;
        }
        .flex-wrap{
            display: flex;
            width: 200px;
            height: 100px;
            flex-wrap: wrap;
        }
        .wrap-reverse-wrap{
            display: flex;
            width: 200px;
            height: 100px;
           flex-wrap: wrap-reverse;
        }
        .initial-wrap{
            display: flex;
            width: 200px;
            height: 100px;
           flex-wrap:initial;
        }
        .inherit-wrap{
            display: flex;
            width: 200px;
            height: 100px;
           flex-wrap: inherit;
        }
        .flex-item{
            width:70px;
            margin-left: 2px;
            background: red;
        }
    </style>
</head>
<body>
    <div class="flex-nowrap-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="flex-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="wrap-reverse-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="initial-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <hr>
    <div class="inherit-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
</body>
</html>